Skip to main content
PUT
/
v1
/
scheduled-tasks
/
{event_id}
Update an appointment
curl --request PUT \
  --url https://integrations.salesask.com/v1/scheduled-tasks/{event_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "user_email": "jsmith@example.com",
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z",
  "title": "<string>",
  "customer": {
    "id": "<string>",
    "name": "<string>",
    "email": "jsmith@example.com"
  }
}
'
{
  "appointment": {
    "id": "task_123",
    "event_id": "CRM-JOB-9871",
    "startTime": "2023-11-07T05:31:56Z",
    "customerName": "John Doe",
    "customerAddress": "<string>",
    "customerPhone": "<string>",
    "customerEmail": "jsmith@example.com",
    "scheduledAt": "2023-11-07T05:31:56Z",
    "status": "scheduled",
    "metadata": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

event_id
string
required

Body

application/json
user_email
string<email>
start_time
string<date-time>
end_time
string<date-time> | null
title
string
customer
object

Response

OK

appointment
object